/*
**  BOXPLOT
**  written by MARCO RIANI
**
**  FORMAT                              PURPOSE                     Line
** =======================================================================
** boxplot(X);                        To plot a
**                                    univariate boxplot
**                                    for vector X
*/


/*
**
** BOXPLOT
**
** PURPOSE:  to compute the univariate boxplot for
**           vector X
**
** FORMAT:      boxplot(X);
**
** INPUT:     X = N x 1 vector of data
**
** OUTPUT:    vertical boxplot on the screen
**
** See also: INPUTBOX
**
*/

  proc (0)=boxplot(x);
  local a,out,te,ter,vert,vert2,vert3,vert4,lin,min,max,no,mess,
        me,m,pms1,i,mess1,pms,me1;

      {a,out}=inputbox(x);
 

te=rows(a);
lin=ones(te,1)~6*ones(te,1)~-0.5*ones(te,1)~a~0.5*ones(te,1)~a
~zeros(te,1)~2*ones(te,1)~0.2*ones(te,1);  @ 5 horizontal segments @
vert=1~6~0~a[1]~0~a[2]~0~2~0.2;            @ lower whisker @
vert4=1~6~0~a[4]~0~a[5]~0~2~0.2;           @ upper whisker @
vert2=1~6~-0.5~a[2]~-0.5~a[4]~0~2~0.2;     @ left segment @
vert3=1~6~0.5~a[2]~0.5~a[4]~0~2~0.2;       @ right segment @

lin=lin|vert|vert2|vert3|vert4;
@
lin[.,3:4]=lin[.,3:4]*(Mglobal);
lin[.,5:6]=lin[.,5:6]*(Mglobal);   @
_pline=lin;

_pnumht=0.1;
/** the following lines put stars for outliers in boxplot **/
if rows(out)>1;
no=rows(out);
out=out[2:no,.];
 @ _psym indicates the location of the points in the main plot @
  /*** third is symbol type  fourth is the height ***/
_psym=zeros(no-1,1)~out[.,2]~12*ones(no-1,1)~7*ONES(no-1,1)~
1.5*ONES(no-1,1)~ONES(no-1,1);
@
 _psym[.,1:2]=_psym[.,1:2]*Mglobal;
 @
  @ xloc yloc symboltype height colour  @

                        pms=zeros(1,6);
                        me1=" ";
       i=1;  do until i==rows(out)+1;

                 pms=pms| (1~(out[i,2])~0.3~0~1~2) ;
                 me1= me1 $+ "\000" $+ ftocv(out[i,1],1,0);

        i=i+1;
       endo;
              
                              _pmsgctl=pms;
                              _pmsgstr=me1;

else;
endif;

           begwind;
           window(1,1,0);
           makewind(6.8555,6.8555,0,0,1);
			  scale(-3|3,X);
	  		xtics(-3,3,1,1);

		 xy((-10|-10),(minc(x)-10)|(maxc(x)+10));
           endwind;
	_pmsgctl=0;
        retp;
    endp;

