/*
**  STAND
**  written by MARCO RIANI
**
**  FORMAT                              PURPOSE                     Line
** =======================================================================
** {z}=stand(X);                     To compute standardized
**                                    values
**
*/


/*
**
** STAND
**
** PURPOSE:  to compute standardized values
**
** FORMAT:   {Z}=stand(X);
**
** INPUT:     X     = N x p data matrix of original data
**
** OUTPUT:    Z     = N x p data matrix of standardized data
**                    each column of Z mean zero and standard
**                    deviation equal to 1
**
** REMARK:   Unbiased  estimator of standard deviation of the universe
**           is used
**
**
*/
proc (1)=stand(x);
    local Z;
   Z=(x-meanc(x)')./(stdc(x)');
retp(Z);
    endp;

