/*
** VCXM.G
** by MARCO RIANI
**
**
**  Format            Purpose                                        Line
** =========================================================================
** vc = VCXM(x);       Max Lik var-covar matrix from data matrix.     11
*/

/*
** VCXM
**
** Purpose:    Computes MLE var-cov matrix from data matrix.
**
** Format:     vc = VCXM(x);
**
** Input:      x  = N x K matrix of data.
**
** Output:     vc = K x K MLE var-covar matrix.
**
**
** See also VCX
**
*/

proc vcxm(x);
    /* check for complex input */
    if iscplx(x);
        if hasimag(x);
            errorlog "ERROR: Not implemented for complex matrices.";
            end;
        else;
            x = real(x);
        endif;
    endif;

    retp( moment( x-meanc(x)',0) /  rows(x) );
endp;

